import Widget from require "lapis.html"

import escape from require "lapis.util"

class extends Widget
  menu: =>
    div ->
      element "table", ->
        tr ->
          if @page != 1
            td ->
              a href: @url_for("tags", order: @order, asc_desc: @asc_desc, page: 1), "<<"
            td ->
              a href: @url_for("tags", order: @order, asc_desc: @asc_desc, page: @page - 1), "<"
          else
            td "<<"
            td "<"
          if @page != @last_page
            td ->
              a href: @url_for("tags", order: @order, asc_desc: @asc_desc, page: @page + 1), ">"
            td ->
              a href: @url_for("tags", order: @order, asc_desc: @asc_desc, page: @last_page), ">>"
          else
            td ">"
            td ">>"

  content: =>
    @menu!
    div ->
      element "table", ->
        tr ->
          th "Count"
          th "Tag"

        for tag in *@tags
          tr ->
            td tag.count
            td -> a href: @url_for("tag", name: escape tag.name), tag.name
    @menu!
